Subject: Re: BASH prompt modification.
From: [email-masked] ("$Bill Luebkert")

21 Jul 1997 22:50:59 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=koi8-r
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (Win95; I)
Original-To: Panos Platon Tsapralis <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

Panos Platon Tsapralis wrote:
> 
>         Dear friends,
> 
>         I want to modify the command line prompt of BASH so that 
it will show on-screen ( after complete execution of every command ) 
the current directory ( the output of pwd or the content of $PWD ). 
How on earth do I do this ? I have made endless efforts to find a 
solution but to no avail. Please help me...

Read the section on "Prompting" in the bash man page:

	PS1="\w "

add history to prompt:

	PS1="\w <\!> "

-- 
  ,-/-  __      _  _         $Bill Luebkert
 (_/   /  )    // //       DBE Collectibles
  / ) /--<  o // //      http://www.wgn.net/~dbe/
-/-' /___/_<_</_</_    Email: [email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".